Link a conversation to a parent conversation

PUT
/v1/conversations/{conversationId}/link

Links the specified conversation to a parent conversation with the specified link type.

Limitations:

  • Maximum of 100 child conversations per parent
  • Only 1 parent per child conversation
  • A child conversation cannot have its own child conversations

Authorization

ApiKeyAuth conversation.reply
headerAuthorization<token>

Scope: conversation.reply

Path Parameters

conversationId*integer
Formatint64

Request Body

The parent conversation ID and link type

application/json
  1. body
parentId*integer
Formatint64
linkType*string

values: [Related, SideConversation]

Response Body

Example Request
curl -X PUT 'https://dev.dixa.io/v1/conversations/{conversationId}/link' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "parentId": 12345,  "linkType": "SideConversation"}'

Empty